Skip to content

Get supported auto-buy currencies

GET
/v1/wallet/fiat/{currency}/auto-buy

Get a list of currencies supported for auto-buying with the currencyCode currency. Returns a flat array of currency short name strings.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currency*

The currency code for the fiat currency (e.g., ZAR, USD)

Type
string
Required

Responses

Supported auto-buy currencies retrieved successfully

application/json
JSON
[
"BTC",
"ETH",
"SOL"
]

Playground

Authorization
Variables
Key
Value

Samples